object WordCount {
    fun phrase(str: String): Map<String, Int>{
        var outMap: MutableMap<String, Int> = emptyMap<String, Int>().toMutableMap()
        val stringList: List<String> = str.split(delimiters = " ")
        val partiallyCleanedList: List<String> = stringList.filter { it.trim().isNotEmpty() }
        // This is where it is broken
        val properlyCleanedList: List<String> = partiallyCleanedList.map { it }
        val blorp: List<String> = properlyCleanedList.filter { it.isNotEmpty() }
        for (word in blorp){
            if (outMap.containsKey(word)){
                outMap[word]!!.inc()
            }
            else outMap.put(word, 0)
        }
        return outMap;
    }
}